## emacs-tablist 0.70

=== Makefile ===

all: package

package:
	cask package
clean:
	rm -rf dist
	rm -f -- *.elc

=== debian/changelog ===
emacs-tablist (0.70-2) unstable; urgency=medium

  * Correct the watch file
  * Put the package under Debian Emacs addons team

 -- Rémi Vanicat <vanicat@debian.org>  Fri, 20 Jan 2017 11:30:11 +0100

emacs-tablist (0.70-1) unstable; urgency=medium

  * Initial release (Closes: #826394)

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 12 Jun 2016 15:01:02 +0200

=== debian/control ===
Source: emacs-tablist
Section: lisp
Priority: optional
Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>=9), dh-elpa
Standards-Version: 3.9.7
Homepage: https://github.com/politza/tablist
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-tablist.git
Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-tablist.git

Package: elpa-tablist
Architecture: all
Depends: ${misc:Depends}, emacsen-common (>= 2.0.8), emacs
Description: tablist adds maks and filters to tabulated-list-mode
 It also kind of puts a dired face on tabulated list buffers.
 .
 It can be used by deriving from tablist-mode and some features by
 using tablist-minor-mode inside a tabulated-list-mode buffer.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 4 file
version=4

# GitHub hosted projects
opts=filenamemangle=s/.*?v(\d[\d.]*)\.tar\.gz/emacs-tablist-$1.tar.gz/ \
   https://github.com/politza/tablist/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## emacs-tablist 1.0

=== Makefile ===
EMACS ?= emacs
# Handle the mess when inside Emacs.
unexport INSIDE_EMACS		#cask not like this.
ifeq ($(EMACS), t)
EMACS = emacs
endif

emacs = $(EMACS)

all: package

byte-compile:
	cask exec $(emacs) --batch -L lisp -f batch-byte-compile *.el

package:
	cask package
clean:
	rm -rf dist
	rm -f -- *.elc

=== debian/changelog ===
emacs-tablist (1.0-2) unstable; urgency=medium

  * Team upload

  [ David Krauser ]
  * Update maintainer email address

  [ David Bremner ]
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 14:48:31 -0400

emacs-tablist (1.0-1) unstable; urgency=medium

  * New upstream version
  * Update debian/control for salsa
  * Standards-Version: 4.4.0, no change needed

 -- Rémi Vanicat <vanicat@debian.org>  Wed, 31 Jul 2019 10:23:02 +0200

emacs-tablist (0.70-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with dh-elpa 1.13 to fix byte-compilation with unversioned
    emacs

 -- David Bremner <bremner@debian.org>  Sat, 02 Jun 2018 20:23:11 -0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: emacs-tablist
 Section: lisp
 Priority: optional
-Maintainer: Debian Emacs addons team <pkg-emacsen-addons@lists.alioth.debian.org>
+Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
 Uploaders: Rémi Vanicat <vanicat@debian.org>
 Build-Depends: debhelper (>=9), dh-elpa
-Standards-Version: 3.9.7
+Standards-Version: 4.4.0
 Homepage: https://github.com/politza/tablist
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-emacsen/pkg/emacs-tablist.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-emacsen/pkg/emacs-tablist.git
+Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-tablist
+Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-tablist.git
 
 Package: elpa-tablist
 Architecture: all

## emacs-tablist 1.1

=== debian/changelog ===
emacs-tablist (1.1-1) unstable; urgency=low

  * Team upload
  * New upstream version.
  * Bump Standards-Version to 4.7.3, no changes.
  * debian/rules: Strip trailing whitespace.

 -- Arto Jantunen <viiru@debian.org>  Wed, 24 Dec 2025 09:30:17 +0200

emacs-tablist (1.0-4) UNRELEASED; urgency=medium

  [ Rémi Vanicat ]
  * debhelper compat bump (no change)
  * Standards-Version: 4.6.0, no change needed

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-tablist: Drop versioned constraint on emacsen-common in Depends.

 -- Rémi Vanicat <vanicat@debian.org>  Sun, 22 Aug 2021 08:02:35 +0200

emacs-tablist (1.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 19:56:09 +0900

=== debian/control ===
Source: emacs-tablist
Section: lisp
Priority: optional
Maintainer: Debian Emacsen Team <debian-emacsen@lists.debian.org>
Uploaders: Rémi Vanicat <vanicat@debian.org>
Build-Depends: debhelper (>=9), dh-elpa, debhelper-compat (= 13)
Standards-Version: 4.7.3
Homepage: https://github.com/emacsorphanage/tablist
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-tablist
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-tablist.git

Package: elpa-tablist
Architecture: all
Depends: ${misc:Depends}, emacsen-common, emacs
Description: tablist adds maks and filters to tabulated-list-mode
 It also kind of puts a dired face on tabulated list buffers.
 .
 It can be used by deriving from tablist-mode and some features by
 using tablist-minor-mode inside a tabulated-list-mode buffer.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	@echo skipping upstream build

override_dh_install:
	dh_install
	dh_elpa

=== debian/watch ===
Version: 5

Template: GitHub
Owner: emacsorphanage
Project: tablist
